Subject: Re: path in .la start with '='

From: Vincent Lefevre <[email-masked]>
Date: Wed, 7 Mar 2012 14:35:12 +0100

On 2012-03-07 14:17:28 +0100, Vincent Lefevre wrote:
> Some user ran into the same problem with MPFR, but it doesn't seem to
> be a bug, so that I think this bug should be closed. You need a more
> recent Libtool (2.4+) to link.
> 
> The Libtool 2.4+ NEWS file says:
> 
> New in 2.4 2010-09-22: git version 2.2.11a, Libtool team:
> 
> * New features:
> 
>   - Sysroot support.  This allows you to build cross-compiled packages
>     with the same prefix that will be used on the destination machine,
>     and still find dependent libraries under the compiler's "sysroot".
>     Without sysroot support, paths internal to the build system may leak
>     into the product of the build.
> 
>     Sysroot support is disabled unless the --with-sysroot configure
>     option is passed to configure, because .la files generated with
>     sysroot support will _not_ be usable in general with older Libtools.

However the user who sees this --with-sysroot option in some library
may not have this information if Libtool 2.4+ is not installed.

"./configure --help" says:

  --with-sysroot=DIR Search for dependent libraries within DIR
                        (or the compiler's sysroot if not specified).

This comes from:

# _LT_WITH_SYSROOT
# ----------------
AC_DEFUN([_LT_WITH_SYSROOT],
[AC_MSG_CHECKING([for sysroot])
AC_ARG_WITH([sysroot],
[  --with-sysroot[=DIR] Search for dependent libraries within DIR
                        (or the compiler's sysroot if not specified).],
[], [with_sysroot=no])

...

in libtool.m4. How about mentioning the compatibility problem here
for the "./configure --help" output?

-- 
Vincent Lefèvre <[email-masked]> - Web: <http://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / AriC project (LIP, ENS-Lyon)